# Documentation

Menu

## QRDataTest extends TestCase
in package
uses QRMatrixDebugTrait

FinalYes
QRDataTest.php : 25

### Table of Contents

#### Methods

testEstimateTotalBitLength() : void
testSetBitBuffer() : void
  tests setting the BitBuffer object directly
debugMatrix() : void
  Matrix debugging console output
dm() : void
  debugging shortcut - limit to a single version when using with matrixProvider

### Methods

#### testEstimateTotalBitLength()

QRDataTest.php : 66
`public testEstimateTotalBitLength() : void`

#### testSetBitBuffer()

QRDataTest.php : 31

tests setting the BitBuffer object directly

`public testSetBitBuffer() : void`

#### debugMatrix()

QRMatrixDebugTrait.php : 27

Matrix debugging console output

`protected debugMatrix(QRMatrix $matrix) : void`

##### Parameters

$matrix : QRMatrix

#### dm()

QRMatrixDebugTrait.php : 84

debugging shortcut - limit to a single version when using with matrixProvider

`protected dm(QRMatrix $matrix) : void`

##### Parameters

$matrix : QRMatrix

##### Tags

see
  QRMatrixTest::matrixProvider()

## Search results